@import "libs/shared/assets/src/global-style/variable";
@import "libs/shared/assets/src/global-style/scroll-tabs";

.action-breadcrumb-float-right{
  display: flex;
  position: fixed;
  right: 25px;
  top: 130px;
}

.side__bar--primary {
  color: $gray-background;
  font-family: avertaB, sans-serif;
  font-size: 16px;
  padding-left: 5px;
  border-right: none;

  ::ng-deep .ant-menu-submenu-selected {
    color: $primary-button-color;

    ::ng-deep .ant-menu-submenu-arrow {
      color: $primary-button-color;
    }
  }

  ::ng-deep .ant-menu-submenu-active {
    color: $primary-button-color;
  }

  .side__bar--item {
    margin-bottom: 15px;
    padding-left: 10px !important;

    .side__bar--img {
      width: 30px;
    }

    ::ng-deep .ant-menu-sub.ant-menu-inline {
      background: $white-color;
      padding-left: 7px;
    }

    .side__bar--item--sub {
      padding-left: 18px !important;
      background: $white-color;
      border-left: 1px solid $background-primary-button-color;
    }

    ::ng-deep .ant-menu-item-selected {
      color: $primary-button-color !important;
      background-color: $background-primary-button-color;
      padding: 9px;
      border-radius: 8px;
    }

    ::ng-deep .ant-menu-item {
      color: $gray-background;
      padding-left: 10px !important;

      &::after {
        display: none;
      }

      &:hover {
        color: $primary-button-color;
      }
    }

    ::ng-deep .ant-menu-submenu-title {
      margin-bottom: 0px;
      padding-left: 0;

      .side__bar--img {
        width: 30px;
      }

      &:hover {
        color: $primary-button-color;
      }
    }

    &:hover {
      ::ng-deep .ant-menu-submenu-arrow {
        color: $primary-button-color;
      }
    }
  }

  ::ng-deep .side__bar--item.ant-menu-item {
    &:hover {
      color: $primary-button-color;
    }

    a:hover {
      color: $primary-button-color;
    }

    &::after {
      display: none;
    }
  }

  ::ng-deep .side__bar--item.ant-menu-item.ant-menu-item-selected {
    background-color: $background-primary-button-color;
    border-radius: 8px;
  }

  ::ng-deep .ant-menu-item-selected {
    color: $primary-button-color;
  }
}

nz-card {
  margin-top: 1em;
  border-radius: 10px;

  h3 {
    font-weight: 700;
    padding-bottom: 2em;
  }
  .title-section {
    color: $label-color;
    font-size: 14px;
    font-family: avertaB, sans-serif;
  }
}

nz-page-header {
  padding-top: 0;
  padding-bottom: 0;
  .deleteButton {
    background-color: $active-status-invisibile;
    border: none;
  }
  .whiteButton {
    background-color: $white-color;
    border: none;
    font-weight: 600;
  }
}

.title-section {
  color: $label-color;
  font-size: 14px;
  font-family: avertaB, sans-serif;
}

.m-0 {
  margin: 0;
}

.flex-item-center {
  display: flex;
  align-items: center;
}

.modal-reject {
  border-radius: 0.5rem;
  resize: none;
}

.proposeLog {
  em {
    font-size: 18px;
  }

  &__executedTime {
    margin-left: 4%;
  }
}

.idea {
  textarea {
    margin-top: 10px;
    border-radius: 8px;
  }

  span {
    font-size: 14px;
    font-weight: 600;
  }
}

.mb-10 {
  margin-bottom: 10px;
}

.display-none {
  display: none;
}

.emp-info {
  border: none;
  width: 100%;
  height: 42px;
  padding: 0;
  padding-bottom: 10px;
  background-color: $white-color;
  color: $text-hover;
  margin-top: 8px;
  font-weight: 900;
}

.text-label {
  padding: 0;
  color: $text-hover;
  margin-top: 13px;
  font-weight: 900;
  width: 100%;
  position: absolute;
}
.withdraw__handle {
  padding-top: 10px;
  padding-bottom: 10px;
}

.file {
  color: $bg-primary-default;
  font-weight: 700;
  &:hover {
    text-decoration: underline;
    cursor: pointer;
  }
}

.header-form {
  padding-bottom: 30px;
}

.message_error {
  font-size: 16px;
}
.rowInfoPropose {
  margin-bottom: 40px !important;
}
